MissingH-1.1.1.0: Large utility library

Portability | portable
Stability | provisional
Maintainer | John Goerzen <jgoerzen@complete.org>

System.Debian

Contents

- Control or Similar File Utilities
- Version Number Utilities

Description

This module provides various helpful utilities for dealing with Debian files and programs.

Written by John Goerzen, jgoerzen@complete.org

Synopsis

- type ControlFile = [(String, String)]
- data DebVersion
- compareDebVersion :: String -> String -> IO Ordering
- checkDebVersion :: String -> String -> String -> IO Bool

# Control or Similar File Utilities

type ControlFile = [(String, String)]

The type representing the contents of a Debian control file, or any control-like file (such as the output from apt-cache show, etc.)

# Version Number Utilities

data DebVersion

The type representing a Debian version number. This type is an instance of `Ord`, but you can also use `compareDebVersion` if you prefer.

Instances

Eq DebVersion |
Ord DebVersion |

compareDebVersion :: String -> String -> IO Ordering

Compare the versions of two packages.

checkDebVersion

Arguments

:: String | Version 1
-> String | Operator
-> String | Version 2
-> IO Bool |